質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.06%

composer install時に発生するエラー

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 838

Tatsuo_Iriyama

score 50

Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - cakephp/cakephp 3.1.14 requires ext-mbstring * -> the requested PHP extension mbstring is missing from your system.
    - cakephp/cakephp 3.1.14 requires ext-mbstring * -> the requested PHP extension mbstring is missing from your system.
    - Installation request for cakephp/cakephp 3.1.14 -> satisfiable by cakephp/cakephp[3.1.14].

  To enable extensions, verify that they are enabled in your .ini files:
    - /etc/php.ini
    - /etc/php.d/20-bz2.ini
    - /etc/php.d/20-calendar.ini
    - /etc/php.d/20-ctype.ini
    - /etc/php.d/20-curl.ini
    - /etc/php.d/20-exif.ini
    - /etc/php.d/20-fileinfo.ini
    - /etc/php.d/20-ftp.ini
    - /etc/php.d/20-gettext.ini
    - /etc/php.d/20-iconv.ini
    - /etc/php.d/20-intl.ini
    - /etc/php.d/20-json.ini
    - /etc/php.d/20-mysqlnd.ini
    - /etc/php.d/20-pdo.ini
    - /etc/php.d/20-phar.ini
    - /etc/php.d/20-sockets.ini
    - /etc/php.d/20-sqlite3.ini
    - /etc/php.d/20-tokenizer.ini
    - /etc/php.d/30-mysqli.ini
    - /etc/php.d/30-pdo_mysql.ini
    - /etc/php.d/30-pdo_sqlite.ini
  You can also run `php --ini` inside terminal to see which files are used by PHP in CLI mode.

composer installを叩くと上記のエラーが発生します。
色々調べましたが、適する対応がわかりませんでしたので、質問いたしました。
何がどうなっててどうだからどうすればいいを教えて下さい。お願い致します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

エラーはここです。

    - cakephp/cakephp 3.1.14 requires ext-mbstring * -> the requested PHP extension mbstring is missing from your system.

簡単な英語だと思いますが、意訳としては、「CakePHP は、(PHPの) mbstring 拡張が必要ですが、あなたのシステムには入っていません。」でしょうか。

対策としては、PHP の mbstring 拡張をインストールしてください。( PHP マニュアル - マルチバイト文字列 - インストール手順 参照 )

具体的な方法は、お使いの環境がわかりませんので回答はできません。
(設定ファイルからすれば、 yum 等のパッケージ管理ステムだと思いますので、 php-mbstring をインストールでしょうか。)

どうしてもわからない場合は、お使いの OS / PHPのインストール方法 を質問に追記してください。レンタルサーバーの場合は、お使いのレンタルサーバーのプランを記載してください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/09/18 23:23

    なるほど、そういう事なのですね。調べてやってみようと思います。
    ありがとうございます。

    キャンセル

-1

スタックとPHPフレームワークを手動でインストールすることは、常に面倒です。あなたはエラーに遭遇し、あなたは解決のために長時間を費やしています。このため、クライアントのPHPサイトをホストする必要があるときはいつでも、Cloudwaysを使用します。このプラットフォームは、手動インストールなしでPHPフレームワークのWebホスティングに使用できます。プラットフォームはサーバーを自動的に構成します。 CodeIgniterのようなPHPフレームワークは、1つのコンポーザーコマンドで簡単にインストールできます。 Source: web hosting for PHP

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.06%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る